**use "D:\National Monument Data\Utah-GSENM\Stata do dta gph files\UT GSENM D in D.dta", clear

*Each model requires 3 commands
***Step 1: Begin with Arellano-Bond (xtabond) to determine # of lags
***Step 2: Estimate xtdpd with # ;ags from step 1, get parameters and robust standard errors
***Step 3: Re-run xtdpd w/o vce(robust) to get Sargen-Hansen test statistic

***31 counties with 29 controls (27 Utah counties and Apache, Navajo counties in Arizona)
xtabond pcinc15d growthallemp treattime treatment, vce(robust) ar(10)
estat abond

***abond test stat say we need to start the instruments with three lags
xtdpd l(0/1).pcinc15d growthallemp treattime treatment, div(growthallemp treattime treatment) dgmmiv(pcinc15d, lag(3 .)) vce(robust) ar(10)
estat abond

xtdpd l(0/1).pcinc15d growthallemp treattime treatment, div(growthallemp treattime treatment) dgmmiv(pcinc15d, lag(3 .))
estat sargan
******************************************************
**15 counties with 13 controls (southern 1/2 of Utah)
xtabond pcinc15d growthallemp treattime treatment if county15==1, vce(robust) ar(10)
estat abond

***start the instruments with four lags
xtdpd l(0/1).pcinc15d growthallemp treattime treatment if county15==1, div(growthallemp treattime treatment) dgmmiv(pcinc15d, lag(4 .)) vce(robust) ar(10)
estat abond

xtdpd l(0/1).pcinc15d growthallemp treattime treatment if county15==1, div(growthallemp treattime treatment) dgmmiv(pcinc15d, lag(4 .))
estat sargan

*******************************************************
***Eight counties with six controls (southern 1/4 of Utah)
xtabond pcinc15d growthallemp treattime treatment if county8==1, vce(robust) ar(10)
estat abond

****xtabond starts instruments at second lag...the A-B model is fine for eight county
xtabond pcinc15d growthallemp treattime treatment if county8==1
estat sargan


